dbXML API

## com.dbxml.db.common.xupdate
Class XPathQueryImpl

    java.lang.Object
      com.dbxml.db.common.xupdate.XPathQueryImpl

All Implemented Interfaces:
  java.io.Serializable, org.xmldb.common.xml.queries.XPathQuery

public final class XPathQueryImpl
extends java.lang.Object
implements org.xmldb.common.xml.queries.XPathQuery

XPath Query Impl to handle Xalan 2 XPath constructs.

See Also:
  Serialized Form

Constructor Summary
`XPathQueryImpl()` Constructor for the XPathQueryImpl object

Method Summary
`org.xmldb.common.xml.queries.XObject` `execute(org.w3c.dom.Node rootNode)` Execute the xpath.
`void` `setNamespace(org.w3c.dom.Node namespace)` Sets the Namespace attribute of the XPathQueryImpl object
`void` `setNodeFilter(org.w3c.dom.traversal.NodeFilter filter)` Sets the NodeFilter attribute of the XPathQueryImpl object
`void` `setQString(java.lang.String qstring)` Sets the QString attribute of the XPathQueryImpl object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathQueryImpl

    public XPathQueryImpl()

  Constructor for the XPathQueryImpl object

Method Detail

### setQString

    public void setQString(java.lang.String qstring)
                    throws java.lang.Exception

  Sets the QString attribute of the XPathQueryImpl object

  Specified by:
    `setQString` in interface `org.xmldb.common.xml.queries.XPathQuery`
  Parameters:
    `qstring` - The new QString value
  Throws:
    `java.lang.Exception` - Description of Exception

### setNamespace

    public void setNamespace(org.w3c.dom.Node namespace)
                      throws java.lang.Exception

  Sets the Namespace attribute of the XPathQueryImpl object

  Specified by:
    `setNamespace` in interface `org.xmldb.common.xml.queries.XPathQuery`
  Parameters:
    `namespace` - The new Namespace value
  Throws:
    `java.lang.Exception` - Description of Exception

### setNodeFilter

    public void setNodeFilter(org.w3c.dom.traversal.NodeFilter filter)
                       throws java.lang.Exception

  Sets the NodeFilter attribute of the XPathQueryImpl object

  Specified by:
    `setNodeFilter` in interface `org.xmldb.common.xml.queries.XPathQuery`
  Parameters:
    `filter` - The new NodeFilter value
  Throws:
    `java.lang.Exception` - Description of Exception

### execute

    public org.xmldb.common.xml.queries.XObject execute(org.w3c.dom.Node rootNode)
                                                 throws java.lang.Exception

  Execute the xpath.

  Specified by:
    `execute` in interface `org.xmldb.common.xml.queries.XPathQuery`
  Parameters:
    `rootNode` - The node from which the query should start or null.
  Returns:
    The XObject insulating the query result.
  Throws:
    `java.lang.Exception`

dbXML API

Copyright (c) 2004 The dbXML Group